/*
  Name: Enemy.h
  Copyright: Polecatsoft 2005
  Game: Mercenary Soldier
  Author: Master Lenman
  Date: -
  Description: The enemy class is a child class of the Unit class
	  Each entity of it represents one enemy in game
*/

#ifndef ENEMY_CLASS
#define ENEMY_CLASS

#include "requests.h"
#include "Unit.h"

class Enemy : public Unit
{
private:
	int turnDir;
	int shotsFired;
	bool onScreen;
public:
	Enemy();
	moveRequest *getMoveRequest(int playerPosX, int playerPosY);
	bulletRequest *getBulletRequest();
	virtual void draw(int cameraX, int cameraY);
};

#endif
